DELUSER(8)

NOME
deluser, delgroup - rimuove un utente o un gruppo dal sistema

SINTASSI
deluser [opzioni] [--force] [--remove-home] [--remove-all-files] [--backup] [--backup-to DIR] utente

deluser --group [opzioni] gruppo
delgroup [opzioni] [--only-if-empty] gruppo

deluser [opzioni] utente gruppo

  OPZIONI COMUNI
[--quiet] [--system] [--help] [--version] [--conf FILE]

DESCRIZIONE

deluser e delgroup rimuovono utenti e gruppi dal sistema in base ai parametri sulla riga di comando e alla configurazione contenuta nei file /etc/deluser.conf e /etc/adduser.conf. Sono delle interfacce più amichevoli per i programmi userdel e groupdel con opzioni per cancellare la directory home o tutti i file sul sistema appartenenti all'utente da rimuovere, per eseguire degli script personalizzati e altre funzionalità. deluser e delgroup hanno tre modalità di funzionamento:

  Rimozione di un utente normale
Se eseguito con un solo argomento che non sia un'opzione e senza l'opzione --group, deluser rimuove un utente normale. deluser rimuove l'utente senza cancellare la directory home, lo spool di posta e tutti i file appartenenti all'utente presenti nel sistema. Per cancellare directory home e spool di posta si può usare l'opzione --remove-home. L'opzione --remove-all-files cancella tutti i file su sistema appartenenti all'utente. Notare che se insieme a questa opzione si attiva anche --remove-home quest'ultima opzione non ha effetto perché la directory home e lo spool di posta sono già compresi dall'opzione --remove-all-files. Se si vuole fare il backup di tutti i file prima di cancellarli è possibile attivare l'opzione --backup che crea il file nomeutente.tar(.gz|.bz2) nella directory specificata dall'opzione --backup-to (il valore predefinito è la directory corrente). Entrambe le opzioni di cancellazione e backup possono essere attivate tramite il file di configurazione /etc/deluser.conf. Si consulti deluser.conf(5) per i dettagli. Per rimuovere l'account root (uid 0), usare il parametro --force; questo potrebbe prevenire la rimozione accidentale dell'account root. Se esiste, il file /usr/local/sbin/deluser.local viene eseguito dopo che l'utente è stato rimosso in modo da applicare qualsiasi operazione di pulizia specifica del sistema locale. Gli argomenti passati a deluser.local sono:
nomeutente, uid, gid e directory-home

  Rimozione di un gruppo
Se deluser è chiamato con l'opzione --group oppure se viene chiamato delgroup, viene rimosso un gruppo. Attenzione: il gruppo primario di un utente esistente non può essere rimosso. Con l'opzione --only-if-empty il gruppo viene rimosso solo se è vuoto.

  Rimozione di un utente dal gruppo specificato
Se eseguito con due argomenti che non siano opzioni, deluser rimuove un utente dal gruppo specificato.

OPZIONI

--conf FILE
    Usa FILE al posto dei file predefiniti /etc/deluser.conf e /etc/adduser.conf

--group
    Rimuove un gruppo. Questa è l'azione predefinita quando il programma viene richiamato come delgroup.

--help
    Mostra le informazioni sull'uso del programma.

--quiet
    Non mostra le informazioni sull'avanzamento dell'elaborazione.

--system
    Rimuove un utente o un gruppo solo se è di sistema. Questo evita la rimozione accidentale di utenti o gruppi normali. Inoltre, se l'utente non esiste, non è restituito un errore. Questa opzione è principalmente destinata all'uso negli script di gestione dei pacchetti Debian.

--backup
    Effettua il backup di tutti i file contenuti nella directory home dell'utente e del file con lo spool di posta in un file con nome /$utente.tar.bz2 or /$utente.tar.gz.

--backup-to
    Non posiziona i file di backup in / ma nella directory specificata da questo parametro.

--remove-home
    Cancella la directory home e lo spool di posta dell'utente. Se è usata insieme all'opzione --backup, i file vengono cancellati dopo il backup.

--remove-all-files
    Cancella tutti i file presenti nel sistema di proprietà dell'utente. Nota: --remove-home non ha più effetto. Se è usato --backup, i file vengono cancellati dopo il backup.

--version
    Visualizza le informazioni su versione e copyright del programma.

VALORE RESTITUITO

0   Operazione conclusa correttamente.

1   L'utente da rimuovere non è un account di sistema. Nessuna operazione effettuata.

2   Utente non esistente. Nessuna operazione effettuata.

3   Gruppo non esistente. Nessuna operazione effettuata.

4   Errore interno. Nessuna operazione effettuata.

5   Il gruppo da rimuovere non è vuoto. Nessuna operazione effettuata.

6   L'utente non appartiene al gruppo specificato. Nessuna operazione effettuata.

7   Non è possibile rimuovere un utente dal proprio gruppo primario. Nessuna operazione effettuata.

8   Il pacchetto "perl modules" non è installato, questo pacchetto è necessario per effettuare l'azione richiesta. Nessuna operazione effettuata.

9   Per rimuovere l'account root è necessario usare il parametro "--force". Nessuna operazione effettuata.

FILE
/etc/deluser.conf

VEDERE ANCHE
deluser.conf(5), adduser(8), userdel(8), groupdel(8)

TRADUTTORE
Questa pagina di manuale � stata tradotta da Luca Monducci il 4 febbraio 2006. Se in questa traduzione si riscontrano degli errori, si prega di segnalarli sulla mailing list <debian-l10n-italian@lists.debian.org>

COPYRIGHT
Copyright (C) 2000 Roland Bauerschmidt. Modifiche (C) 2004 Marc Haber e Joerg Hoh. Questa pagina man e il programma deluser sono basati su adduser che è:
Copyright (C) 1997, 1998, 1999 Guy Maor.
Copyright (C) 1995 Ted Hajek, con un grosso aiuto dal pacchetto adduser originale di Debian
Copyright (C) 1994 Ian Murdock. deluser è software libero; si veda la GNU General Public Licence versione 2 o successiva per le condizioni sulla copia. Non c'è alcuna garanzia.